apiVersion: v1
kind: Service
metadata:
  name: inbiz-model
  namespace: edoc2
  labels:
    app: inbiz-model
spec:
  ports:
  - name: inbiz-model
    port: 5011
    targetPort: 5011
    protocol: TCP
  - name: inbiz-modrpc
    port: 15011
    targetPort: 15011
    protocol: TCP
  selector:
    app: inbiz-model
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: inbiz-model
  namespace: edoc2
  labels:
    app: inbiz-model
    k8s-app: inbiz-model
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: inbiz-model
  template:
    metadata:
      labels:
        app: inbiz-model
    spec:
      hostname: inbiz-model
      terminationGracePeriodSeconds: 60
      containers:
      - name: inbiz-model
        image: registry.edoc2.com:5000/edoc2v5/inbiz-model:iso-v6.1.0.0
        imagePullPolicy: IfNotPresent
        envFrom:
        - configMapRef:
            name: inbiz-envfile
        - configMapRef:
            name: mid-envfile
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
        ports:
        - name: inbiz-model
          containerPort: 5011
        - name: inbiz-modrpc
          containerPort: 15011
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
      #  nodetype: InDrive
